Search API

- Preparing search index...
- The search index is not available

Show Summaries
GoJS® Diagramming Components
version 1.8.35 for JavaScript/HTML
by Northwoods Software®

## Class LayoutEdge

An edge represents a Link in a LayoutNetwork, along with its fromVertex and toVertex. The link property may be null for edges that represent "dummy" links, when the layout wants to work with a network that is not isomorphic with the collection of Nodes and Links being laid out.

It holds layout-specific data for the link. For each kind of layout that uses a LayoutNetwork there is a subclass of LayoutVertex and a subclass of LayoutEdge:

- CircularLayout: CircularVertex and CircularEdge
- ForceDirectedLayout: ForceDirectedVertex and ForceDirectedEdge
- LayeredDigraphLayout: LayeredDigraphVertex and LayeredDigraphEdge
- TreeLayout: TreeVertex and TreeEdge

Modifying a LayoutNetwork or a LayoutVertex or a LayoutEdge does not invalidate the Layout or raise any changed events.

## Constructor Summary Details

Name | Description
--- | ---
LayoutEdge() | This constructs an edge that does not know about any Link.

## Properties Summary Details

Name, Value Type | Description
--- | ---
data {Object} 1.6 | For virtualized layouts working on model data instead of a Link.
fromVertex {V} | Gets or sets the LayoutVertex that this edge comes from.More... Setting this property does not change any LayoutVertex.destinationEdges collection.
link {Link} | Gets or sets the Link associated with this edge, if any.More... The value may be null if this edge is a "dummy" edge, not represented by a real Link in the Diagram.
network {N} | Gets or sets the LayoutNetwork that owns this edge.More... The default value is null. It is set automatically for you in LayoutNetwork.addEdge.
toVertex {V} | Gets or sets the LayoutVertex that this edge goes to.More... Setting this property does not change any LayoutVertex.sourceEdges collection.

## Method Summary Details

Name, Return Type | Description
--- | ---
commit() | Commits the route of this edge to the corresponding Link, if any.More... By default this does nothing. Please read the Introduction page on Extensions for how to override methods and how to call this base method.

getOtherVertex(v)

Returns the edge's vertex at the other of this edge from the given vertex.More...

Parameters:
{V} v